Package com.omnisci.thrift.server

## Class TStepResult

- java.lang.Object
- - com.omnisci.thrift.server.TStepResult

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TStepResult>`, `org.apache.thrift.TBase<TStepResult,​TStepResult._Fields>`, `org.apache.thrift.TSerializable`

    public class TStepResult
    extends Object
    implements org.apache.thrift.TBase<TStepResult,​TStepResult._Fields>, Serializable, Cloneable, Comparable<TStepResult>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TStepResult._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`boolean` `execution_finished`
`TMergeType` `merge_type`
`static Map<TStepResult._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`int` `node_id`
`List<TColumnType>` `row_desc`
`TSerializedRows` `serialized_rows`
`boolean` `sharded`

### Constructor Summary

Constructors
`TStepResult()`
`TStepResult​(TSerializedRows serialized_rows, boolean execution_finished, TMergeType merge_type, boolean sharded, List<TColumnType> row_desc, int node_id)`
`TStepResult​(TStepResult other)` Performs a deep copy on other.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addToRow_desc​(TColumnType elem)`
`void` `clear()`
`int` `compareTo​(TStepResult other)`
`TStepResult` `deepCopy()`
`boolean` `equals​(TStepResult that)`
`boolean` `equals​(Object that)`
`TStepResult._Fields` `fieldForId​(int fieldId)`
`Object` `getFieldValue​(TStepResult._Fields field)`
`TMergeType` `getMerge_type()`
`int` `getNode_id()`
`List<TColumnType>` `getRow_desc()`
`Iterator<TColumnType>` `getRow_descIterator()`
`int` `getRow_descSize()`
`TSerializedRows` `getSerialized_rows()`
`int` `hashCode()`
`boolean` `isExecution_finished()`
`boolean` `isSet​(TStepResult._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetExecution_finished()` Returns true if field execution_finished is set (has been assigned a value) and false otherwise
`boolean` `isSetMerge_type()` Returns true if field merge_type is set (has been assigned a value) and false otherwise
`boolean` `isSetNode_id()` Returns true if field node_id is set (has been assigned a value) and false otherwise
`boolean` `isSetRow_desc()` Returns true if field row_desc is set (has been assigned a value) and false otherwise
`boolean` `isSetSerialized_rows()` Returns true if field serialized_rows is set (has been assigned a value) and false otherwise
`boolean` `isSetSharded()` Returns true if field sharded is set (has been assigned a value) and false otherwise
`boolean` `isSharded()`
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TStepResult` `setExecution_finished​(boolean execution_finished)`
`void` `setExecution_finishedIsSet​(boolean value)`
`void` `setFieldValue​(TStepResult._Fields field, Object value)`
`TStepResult` `setMerge_type​(TMergeType merge_type)`
`void` `setMerge_typeIsSet​(boolean value)`
`TStepResult` `setNode_id​(int node_id)`
`void` `setNode_idIsSet​(boolean value)`
`TStepResult` `setRow_desc​(List<TColumnType> row_desc)`
`void` `setRow_descIsSet​(boolean value)`
`TStepResult` `setSerialized_rows​(TSerializedRows serialized_rows)`
`void` `setSerialized_rowsIsSet​(boolean value)`
`TStepResult` `setSharded​(boolean sharded)`
`void` `setShardedIsSet​(boolean value)`
`String` `toString()`
`void` `unsetExecution_finished()`
`void` `unsetMerge_type()`
`void` `unsetNode_id()`
`void` `unsetRow_desc()`
`void` `unsetSerialized_rows()`
`void` `unsetSharded()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serialized_rows

    public TSerializedRows serialized_rows

#### execution_finished

    public boolean execution_finished

#### merge_type

    public TMergeType merge_type

See Also:
  `TMergeType`

#### sharded

    public boolean sharded

#### row_desc

    public List<TColumnType> row_desc

#### node_id

    public int node_id

#### metaDataMap

    public static final Map<TStepResult._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TStepResult

    public TStepResult()

#### TStepResult

    public TStepResult​(TSerializedRows serialized_rows,
                       boolean execution_finished,
                       TMergeType merge_type,
                       boolean sharded,
                       List<TColumnType> row_desc,
                       int node_id)

#### TStepResult

    public TStepResult​(TStepResult other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TStepResult deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TStepResult,​TStepResult._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TStepResult,​TStepResult._Fields>`

#### getSerialized_rows

    public TSerializedRows getSerialized_rows()

#### setSerialized_rows

    public TStepResult setSerialized_rows​(TSerializedRows serialized_rows)

#### unsetSerialized_rows

    public void unsetSerialized_rows()

#### isSetSerialized_rows

    public boolean isSetSerialized_rows()

Returns true if field serialized_rows is set (has been assigned a value) and false otherwise

#### setSerialized_rowsIsSet

    public void setSerialized_rowsIsSet​(boolean value)

#### isExecution_finished

    public boolean isExecution_finished()

#### setExecution_finished

    public TStepResult setExecution_finished​(boolean execution_finished)

#### unsetExecution_finished

    public void unsetExecution_finished()

#### isSetExecution_finished

    public boolean isSetExecution_finished()

Returns true if field execution_finished is set (has been assigned a value) and false otherwise

#### setExecution_finishedIsSet

    public void setExecution_finishedIsSet​(boolean value)

#### getMerge_type

    public TMergeType getMerge_type()

See Also:
  `TMergeType`

#### setMerge_type

    public TStepResult setMerge_type​(TMergeType merge_type)

See Also:
  `TMergeType`

#### unsetMerge_type

    public void unsetMerge_type()

#### isSetMerge_type

    public boolean isSetMerge_type()

Returns true if field merge_type is set (has been assigned a value) and false otherwise

#### setMerge_typeIsSet

    public void setMerge_typeIsSet​(boolean value)

#### isSharded

    public boolean isSharded()

#### setSharded

    public TStepResult setSharded​(boolean sharded)

#### unsetSharded

    public void unsetSharded()

#### isSetSharded

    public boolean isSetSharded()

Returns true if field sharded is set (has been assigned a value) and false otherwise

#### setShardedIsSet

    public void setShardedIsSet​(boolean value)

#### getRow_descSize

    public int getRow_descSize()

#### getRow_descIterator

    public Iterator<TColumnType> getRow_descIterator()

#### addToRow_desc

    public void addToRow_desc​(TColumnType elem)

#### getRow_desc

    public List<TColumnType> getRow_desc()

#### setRow_desc

    public TStepResult setRow_desc​(List<TColumnType> row_desc)

#### unsetRow_desc

    public void unsetRow_desc()

#### isSetRow_desc

    public boolean isSetRow_desc()

Returns true if field row_desc is set (has been assigned a value) and false otherwise

#### setRow_descIsSet

    public void setRow_descIsSet​(boolean value)

#### getNode_id

    public int getNode_id()

#### setNode_id

    public TStepResult setNode_id​(int node_id)

#### unsetNode_id

    public void unsetNode_id()

#### isSetNode_id

    public boolean isSetNode_id()

Returns true if field node_id is set (has been assigned a value) and false otherwise

#### setNode_idIsSet

    public void setNode_idIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TStepResult._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TStepResult,​TStepResult._Fields>`

#### getFieldValue

    public Object getFieldValue​(TStepResult._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TStepResult,​TStepResult._Fields>`

#### isSet

    public boolean isSet​(TStepResult._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TStepResult,​TStepResult._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TStepResult that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TStepResult other)

Specified by:
  `compareTo` in interface `Comparable<TStepResult>`

#### fieldForId

    public TStepResult._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TStepResult,​TStepResult._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`